UI(3)

NAME
Gimp::UI - "simulation of libgimpui", and more!

SYNOPSIS
  use Gimp::UI;

DESCRIPTION
Due to the braindamaged (read: "unusable") libgimpui API, I had to reimplement all of it in perl.

 $option_menu = new Gimp::UI::ImageMenu
 $option_menu = new Gimp::UI::LayerMenu
 $option_menu = new Gimp::UI::ChannelMenu
 $option_menu = new Gimp::UI::DrawableMenu (constraint_func, active_element, \var);
 $button = new Gimp::UI::PatternSelect;
 $button = new Gimp::UI::BrushSelect;
 $button = new Gimp::UI::GradientSelect;
 $button = new Gimp::UI::ColorSelectButton;

AUTHOR
Marc Lehmann <pcg@goof.com>. The ColorSelectButton code (now rebundled into the Gtk module) is written by Dov Grobgeld <dov@imagic.weizmann.ac.il>, with modifications by Kenneth Albanowski <kjahds@kjahds.com>.

SEE ALSO
perl(1), the Gimp manpage.